Package: groovy.swing

## [Groovy] Class SwingBuilder

- groovy.swing.SwingBuilder

- A helper class for creating Swing widgets using GroovyMarkup

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `private static String` | `DEFAULT_DELEGATE_PROPERTY_OBJECT_ID`
    `private static String` | `DELEGATE_PROPERTY_OBJECT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SwingBuilder (boolean init)`
    `SwingBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static SwingBuilder` | `$static_methodMissing(String method, Object args)` Old factory method static SwingBuilder.build(Closure).
    `` | `Object` | `build(Closure c)` Compatibility API.
    `` | `static Object` | `clientPropertyAttributeDelegate(Object builder, Object node, Object attributes)`
    `` | `void` | `createKeyStrokeAction(Map attributes, JComponent component)`
    `` | `SwingBuilder` | `doLater(Closure c)` Utility method to run a closure in EDT, using `SwingUtilities.invokeLater`.
    `` | `SwingBuilder` | `doOutside(Closure c)` Utility method to run a closure outside of the EDT.
    `` | `SwingBuilder` | `edt(Closure c)` Utility method to run a closure in EDT, using `SwingUtilities.invokeAndWait`.
    `` | `static SwingBuilder` | `edtBuilder(Closure c)` Factory method to create a SwingBuilder, and run the the closure in it on the EDT Parameters: `c` - run this closure in the new builder using the edt method
    `` | `static LookAndFeel` | `lookAndFeel(Object laf, Closure initCode)`
    `` | `static LookAndFeel` | `lookAndFeel(Map attributes, Object laf, Closure initCode)`
    `` | `static LookAndFeel` | `lookAndFeel(Object[] lafs)`
    `` | `static Object` | `objectIDAttributeDelegate(Object builder, Object node, Object attributes)`
    `` | `Object` | `registerActionButtonWidgets()`
    `` | `Object` | `registerBasicLayouts()`
    `` | `Object` | `registerBasicWidgets()`
    `` | `void` | `registerBeanFactory(String nodeName, String groupName, Class klass)` Do some overrides for standard component handlers, else use super
    `` | `Object` | `registerBinding()`
    `` | `Object` | `registerBorders()`
    `` | `Object` | `registerBoxLayout()`
    `` | `Object` | `registerContainers()`
    `` | `Object` | `registerDataModels()`
    `` | `Object` | `registerEditors()`
    `` | `Object` | `registerMDIWidgets()`
    `` | `Object` | `registerMenuWidgets()`
    `` | `Object` | `registerPassThruNodes()`
    `` | `Object` | `registerRenderers()`
    `` | `Object` | `registerSupportNodes()`
    `` | `Object` | `registerTableComponents()`
    `` | `Object` | `registerTableLayout()`
    `` | `Object` | `registerTextWidgets()`
    `` | `Object` | `registerThreading()`
    `` | `Object` | `registerWindows()`
    `` | `KeyStroke` | `shortcut(Object key, Object modifier)`
    `` | `KeyStroke` | `shortcut(String key, Object modifier)`

- - ### Property Detail

    - #### private static final String DEFAULT_DELEGATE_PROPERTY_OBJECT_ID

    - #### private static final String DELEGATE_PROPERTY_OBJECT_ID

  - ### Constructor Detail

    - #### SwingBuilder(boolean init)

    - #### SwingBuilder()

  - ### Method Detail

    - #### @DeprecatedDeprecated static SwingBuilder $static_methodMissing(String method, Object args)

      Old factory method static SwingBuilder.build(Closure).

      Parameters:
        `c` - run this closure in the builder using the edt method

    - #### Object build(@DelegatesToDelegatesTo Closure c)

      Compatibility API.

      Parameters:
        `c` - run this closure in the builder

    - #### static Object clientPropertyAttributeDelegate(Object builder, Object node, Object attributes)

    - #### void createKeyStrokeAction(Map attributes, JComponent component)

    - #### SwingBuilder doLater(@DelegatesToDelegatesTo Closure c)

      Utility method to run a closure in EDT, using `SwingUtilities.invokeLater`.

      Parameters:
        `c` - this closure is run in the EDT

    - #### SwingBuilder doOutside(@DelegatesToDelegatesTo Closure c)

      Utility method to run a closure outside of the EDT.

      The closure is wrapped in a thread, and the thread is started immediately, only if the current thread is the EDT, otherwise the closure will be called immediately.

      Parameters:
        `c` - this closure is started outside of the EDT

    - #### SwingBuilder edt(@DelegatesToDelegatesTo Closure c)

      Utility method to run a closure in EDT, using `SwingUtilities.invokeAndWait`.

      Parameters:
        `c` - this closure is run in the EDT

    - #### static SwingBuilder edtBuilder(@DelegatesToDelegatesTo Closure c)

      Factory method to create a SwingBuilder, and run the the closure in it on the EDT

      Parameters:
        `c` - run this closure in the new builder using the edt method

    - #### static LookAndFeel lookAndFeel(Object laf, Closure initCode)

    - #### static LookAndFeel lookAndFeel(Map attributes, Object laf, Closure initCode)

    - #### static LookAndFeel lookAndFeel(Object[] lafs)

    - #### static Object objectIDAttributeDelegate(Object builder, Object node, Object attributes)

    - #### Object registerActionButtonWidgets()

    - #### Object registerBasicLayouts()

    - #### Object registerBasicWidgets()

    - #### void registerBeanFactory(String nodeName, String groupName, Class klass)

      Do some overrides for standard component handlers, else use super

    - #### Object registerBinding()

    - #### Object registerBorders()

    - #### Object registerBoxLayout()

    - #### Object registerContainers()

    - #### Object registerDataModels()

    - #### Object registerEditors()

    - #### Object registerMDIWidgets()

    - #### Object registerMenuWidgets()

    - #### Object registerPassThruNodes()

    - #### Object registerRenderers()

    - #### Object registerSupportNodes()

    - #### Object registerTableComponents()

    - #### Object registerTableLayout()

    - #### Object registerTextWidgets()

    - #### Object registerThreading()

    - #### Object registerWindows()

    - #### KeyStroke shortcut(Object key, Object modifier)

    - #### KeyStroke shortcut(String key, Object modifier)